#
# spec file for package python-google-cloud-build
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-build
Version:        3.31.1
Release:        1.1
Summary:        Google Cloud Build API client library
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-build
Source:         https://files.pythonhosted.org/packages/source/g/google_cloud_build/google_cloud_build-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.34.0}
BuildRequires:  %{python_module google-auth >= 2.14.1}
BuildRequires:  %{python_module grpc-google-iam-v1 >= 0.12.4}
BuildRequires:  %{python_module proto-plus >= 1.22.3}
BuildRequires:  %{python_module protobuf >= 3.20.2}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-google-api-core >= 1.34.0
Requires:       python-google-auth >= 2.14.1
Requires:       python-grpc-google-iam-v1 >= 0.12.4
Requires:       python-proto-plus >= 1.22.3
Requires:       python-protobuf >= 3.20.2
BuildArch:      noarch
%python_subpackages

%description
Google Cloud Build API client library

%prep
%autosetup -p1 -n google_cloud_build-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/cloud/devtools
%{python_sitelib}/google_cloud_build-%{version}.dist-info

%changelog
* Thu Apr 24 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 3.31.1
  * [Many APIs] Allow Protobuf 6.x
  * Remove setup.cfg configuration for creating universal wheels (#13659)
- from version 3.31.0
  * Add option to enable fetching dependencies
  * Support for git proxy setup
  * **deps:** Require grpc-google-iam-v1 >= 0.14.0
  * Updates to proto message comments
- from version 3.30.0
  * Add REST Interceptors which support reading metadata
  * Add support for reading selective GAPIC generation methods from service YAML
- from version 3.29.0
  * [google-cloud-build] Add GoModule to Artifact and Results messages and new
    GO_MODULE_H1 hash type (#13416)
  * [google-cloud-build] Add option to enable structured logging (#13430)
- from version 3.28.0
  * Add support for opt-in debug logging
  * Fix typing issue with gRPC metadata when key ends in -bin
- from version 3.27.1
  * Disable universe-domain validation (#13242)
- from version 3.27.0
  * [google-cloud-build] Add PrivateServiceConnect option to WorkerPool (#13221)
- from version 3.26.0
  * Add support for Python 3.13 (#13206)
- from 3.25.0
  * Add LEGACY_BUCKET option to DefaultLogsBucketBehavior
  * Sanitize docs
- from version 3.24.2
  * Retry and timeout values do not propagate in requests during pagination
- from version 3.24.1
  * Allow Protobuf 5.x (#12865)
- Adjust upstream source name in spec file
- Update BuildRequires and Requires from setup.py
* Sat Jun 29 2024 Dirk Müller <dmueller@suse.com>
- update to 3.24.0:
  * Add Bitbucket Data Center Config and Bitbucket Cloud config for
    Cloud Build Repositories
  * Exclude google-auth 2.24.0 and 2.25.0
* Tue Jan  9 2024 Daniel Garcia <daniel.garcia@suse.com>
- Initial version 3.22.0 (jsc#PED-6697)
